Subject: Re: [PATCH net] eth: fbnic: select devlink

From: Simon Horman <[email-masked]>
Date: Fri, 2 Aug 2024 15:50:38 +0100

On Thu, Aug 01, 2024 at 06:59:24PM -0700, Jakub Kicinski wrote:
> Build bot reports undefined references to devlink functions
> in fbnic.ko.
> 
> Fixes: 1a9d48892ea5 ("eth: fbnic: Allocate core device specific structures and devlink interface")
> Reported-by: kernel test robot <[email-masked]>
> Closes: https://lore.kernel.org/oe-kbuild-all/[email-masked]/
> Signed-off-by: Jakub Kicinski <[email-masked]>

Thanks, I agree this is needed.

Reviewed-by: Simon Horman <[email-masked]>
Tested-by: Simon Horman <[email-masked]>

But while exercising this I noticed that PAGE_POOL is also needed,
which I locally resolved by adding:

	select PAGE_POOL

I can provide a follow-up patch after this one is merged.
Or perhaps you can address this in a v2?
I have no preference either way.